import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;
    private ReplaceNames replaceNames;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
        this.replaceNames = new ReplaceNames();
    }

    @Test
    public void testChangeHamletToLeon() {
    }

    @Test
    public void testChangeHoratioToTariq() {
    }

    @Test
    public void testIsHoratioTrue(){
        boolean actual = replaceNames.isHoratio("hORatIo's");
        Assert.assertTrue(actual);
    }

    @Test
    public void testIsHoratioFalse(){
        boolean actual = replaceNames.isHoratio("notHoratio");
        Assert.assertFalse(actual);
    }

    @Test
    public void testFindHoratio() {
        String test = "Horatio, horatio test test HORATIO, hORatIo";
        int actual = replaceNames.findHoratio(test);
        int expected = 4;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testIsHamletTrue(){
        boolean actual = replaceNames.isHamlet("HamLet's");
        Assert.assertTrue(actual);
    }

    @Test
    public void testIsHamletFalse(){
        boolean actual = replaceNames.isHamlet("notHamLet");
        Assert.assertFalse(actual);
    }

    @Test
    public void testFindHamlet() {
    }
}